## org.eclipse.xsd.impl
Class XSDNamedComponentImpl.XSDNamedComponentList<E extends java.lang.Object & XSDNamedComponent>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<E>
                  org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.NotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.EcoreEList<E>
                              org.eclipse.emf.ecore.util.EObjectEList<E>
                                  org.eclipse.xsd.impl.XSDNamedComponentImpl.XSDNamedComponentList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, NotifyingList<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Enclosing class:
  XSDNamedComponentImpl

    public static class XSDNamedComponentImpl.XSDNamedComponentList<E extends java.lang.Object & XSDNamedComponent>

extends EObjectEList<E>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectEList
`EObjectEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList
`EcoreEList.Dynamic<E>, EcoreEList.Generic<E>, EcoreEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>`

Field Summary
`protected java.util.Map<java.lang.String,XSDNamedComponent>` `map`
`protected XSDSchemaImpl` `xsdSchema`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectEList
`featureID`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList
`dataClass, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`XSDNamedComponentImpl.XSDNamedComponentList(java.lang.Class<?> dataClass, XSDSchemaImpl owner, int featureID)`

Method Summary
`protected void` `didAdd(int index, java.lang.Object newObject)`
`protected void` `didClear(int size, java.lang.Object[] oldObjects)`
`protected void` `didRemove(int index, java.lang.Object oldObject)`
`protected void` `didSet(int index, java.lang.Object newObject, java.lang.Object oldObject)`
`XSDNamedComponent` `get(java.lang.String targetNamespace, java.lang.String localName)`
`protected boolean` `isFromThisNamespace(XSDNamedComponent xsdNamedComponent)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectEList
`canContainNull, getFeatureID, hasInverse, isEObject, isUnique, resolve, useEquals`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList

`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasManyInverse, hasNavigableInverse, hasProxies, indexOf, inverseAdd, inverseRemove, isContainment, isInstance, isNotificationRequired, isSet, lastIndexOf, newData, resolve, resolve, resolveProxy, set, toArray, toArray, unset, validate`

Methods inherited from class org.eclipse.emf.ecore.util.NotifyingInternalEListImpl
`basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`add, add, addAll, addAll, assign, basicGet, clone, containsAll, data, didChange, didMove, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, set, setData, shrink, size, toString`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList`

Field Detail

### map

    protected java.util.Map<java.lang.String,XSDNamedComponent> map

### xsdSchema

    protected XSDSchemaImpl xsdSchema

Constructor Detail

### XSDNamedComponentImpl.XSDNamedComponentList

    public XSDNamedComponentImpl.XSDNamedComponentList(java.lang.Class<?> dataClass,
                                                       XSDSchemaImpl owner,
                                                       int featureID)

Method Detail

### isFromThisNamespace

    protected boolean isFromThisNamespace(XSDNamedComponent xsdNamedComponent)

### didAdd

    protected void didAdd(int index,
                          java.lang.Object newObject)

  Overrides:
    `didAdd` in class `BasicEList<E extends java.lang.Object & XSDNamedComponent>`

### didClear

    protected void didClear(int size,
                            java.lang.Object[] oldObjects)

  Overrides:
    `didClear` in class `BasicEList<E extends java.lang.Object & XSDNamedComponent>`

### didRemove

    protected void didRemove(int index,
                             java.lang.Object oldObject)

  Overrides:
    `didRemove` in class `BasicEList<E extends java.lang.Object & XSDNamedComponent>`

### didSet

    protected void didSet(int index,
                          java.lang.Object newObject,
                          java.lang.Object oldObject)

  Overrides:
    `didSet` in class `BasicEList<E extends java.lang.Object & XSDNamedComponent>`

### get

    public XSDNamedComponent get(java.lang.String targetNamespace,
                                 java.lang.String localName)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.